Remove Wallet Restriction
curl --request PUT \
--url https://waas-staging.embedly.ng/WaasCore/api/v1/wallet-limits/remove/:restrictionId \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"restrictionId": "<string>"
}
'import requests
url = "https://waas-staging.embedly.ng/WaasCore/api/v1/wallet-limits/remove/:restrictionId"
payload = { "restrictionId": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({restrictionId: '<string>'})
};
fetch('https://waas-staging.embedly.ng/WaasCore/api/v1/wallet-limits/remove/:restrictionId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "00",
"success": true,
"message": "Wallet restriction limit removed successfully",
"data": null
}
Wallet Restriction
Remove Wallet Restriction
Deactivate or remove a wallet restriction by its id.
PUT
/
WaasCore
/
api
/
v1
/
wallet-limits
/
remove
/
:restrictionId
Remove Wallet Restriction
Call this endpoint after a manual wallet restriction is no longer needed or if it was applied incorrectly. It removes the restriction record identified by
restrictionId, which is typically retrieved from the get restrictions endpoint.
string
required
Path parameter: UUID of the restriction to remove
{
"code": "00",
"success": true,
"message": "Wallet restriction limit removed successfully",
"data": null
}
⌘I